## org.opengis.metadata.distribution
Interface StandardOrderProcess

    @UML(identifier="MD_StandardOrderProcess",
         specification=ISO_19115)
    public interface StandardOrderProcess

Common ways in which the resource may be obtained or received, and related instructions and fee information.

Since:
  GeoAPI 2.0

Method Summary
`InternationalString` `getFees()` Fees and terms for retrieving the resource.
`InternationalString` `getOrderingInstructions()` General instructions, terms and services provided by the distributor.
`Date` `getPlannedAvailableDateTime()` Date and time when the dataset will be available.
`InternationalString` `getTurnaround()` Typical turnaround time for the filling of an order.

Method Detail

### getFees

    @UML(identifier="fees",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getFees()

  Fees and terms for retrieving the resource. Include monetary units (as specified in ISO 4217).

### getPlannedAvailableDateTime

    @UML(identifier="plannedAvailableDateTime",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Date getPlannedAvailableDateTime()

  Date and time when the dataset will be available.

### getOrderingInstructions

    @UML(identifier="orderingInstructions",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getOrderingInstructions()

  General instructions, terms and services provided by the distributor.

### getTurnaround

    @UML(identifier="turnaround",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getTurnaround()

  Typical turnaround time for the filling of an order.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.